classification
Title: socket.ssl should explain that it is a 2/3 connection
Type: Stage:
Components: Documentation Versions: Python 2.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: adamg-work, facundobatista, janssen
Priority: normal Keywords:

Created on 2004-09-13 17:45 by adamg-work, last changed 2007-08-29 23:01 by janssen. This issue is now closed.

Messages (4)
msg22437 - (view) Author: adam goucher (adamg-work) Date: 2004-09-13 17:45
When you try to connect via socket.ssl(), python 
attempts a ssl2 connection then negotiates up. On 
some servers however ssl2 is disabled making the 
connection fail. The documentation should mention this 
limitation.

If you want to connect to an ssl3 or tls1 only server, 
you need to modify the ssl context this method uses. I 
submitted a patch (889813) some time ago to allow the 
context to be specified as an optional argument.
msg22438 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2007-03-31 01:23
Please, could you came up with a text that I could use to fix the docs?

There's no need of LaTeX format here, just append the parragraph here.

Regards,
msg55296 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-08-26 02:56
Patch 1024 is new documentation which addresses this.  Is is sufficient?
msg55449 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-08-29 23:01
Fixed with the 2.6 SSL work.
History
Date User Action Args
2007-08-29 23:01:38janssensetstatus: open -> closed
resolution: fixed
messages: + msg55449
2007-08-26 02:56:53janssensetnosy: + janssen
messages: + msg55296
2004-09-13 17:45:39adamg-workcreate